//
// C++ Interface: kbfxplasmaitemview
//
// Description: 
//
//
// Author: Siraj Razick <siraj@kdemail.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KBFX_PLASMA_ITEM_VIEW_H
#define KBFX_PLASMA_ITEM_VIEW_H

#include <qcanvas.h>
#include <qcursor.h>
#include "kbfxplasmacanvasgroup.h"
#include "kbfxplasmacanvasstack.h"
#include <qcursor.h>
#include "kbfxsignal.h"
//#include "kbfxplasmacanvasrtti.h"
#include <kbfxplasmacanvasview.h>
#include <kbfxplasmacanvasgroup.h>
#include <kbfxplasmapluginloader.h>
#include <qpainter.h>

#include <kbfxdatastack.h>
/**
This Class will Creaete  Item View to be used. handles scrollbars in a kbfx way

	@author Siraj Razick <siraj@kdemail.net>
*/
class KbfxPlasmaItemView : public QCanvasView
{
public:
    KbfxPlasmaItemView();

    ~KbfxPlasmaItemView();
public slots:
	//virtual void contentsMousePressEvent(QMouseEvent * me);	
//	virtual void contentsMouseMoveEvent ( QMouseEvent * e );
	//virtual void contentsMouseReleaseEvent ( QMouseEvent * e );	
	virtual void mouseMoveEvent(QMouseEvent * me);
//	virtual void enterEvent (QEvent * e);
	virtual void keyPressEvent(QKeyEvent * ke);
private:
KbfxPlasmaCanvasItem  * m_currentItem;	

};

#endif
