#ifndef KBFX_PLASMA_INDEX_ITEM_H
#define KBFX_PLASMA_INDEX_ITEM_H

#include "kbfxplasmacanvasabstractitem.h"

class KbfxPlasmaIndexItem : public KbfxPlasmaCanvasAbstractItem
{
Q_OBJECT 

public: 

 KbfxPlasmaIndexItem ( QCanvasPixmapArray * a, QCanvas * canvas );
 virtual ~KbfxPlasmaIndexItem();

  void setIcon(QString path);
  void setText(QString text);
  void setId(int id);
  //void setName(QString name);
  void setLabelText(QString text);
  void setBelongsTo(QString parent);
  QString belongsTo(); 
  int height(); 
	void setSelected(bool select); 
		bool  selected();
		int Id() { return m_id;}
 
 virtual void drawContent(QPainter * pe);
 virtual void draw(QPainter & pe);
 virtual void mousePressEvent ( QMouseEvent * e );

 private:
	int m_id;
	QString  m_name;
	QString m_text;
	QString m_iconPath;
	QPixmap m_icon;	
	QString m_parent;
	bool m_isCurrent;
	int m_height;
	int m_width;
	bool m_isSelected;
	

};


#endif
